import type { HttpRequest } from '../server/HttpRequest';
import type { Credentials } from './Credentials';
import { CredentialsExtractor } from './CredentialsExtractor';
export declare class BearerWebIdExtractor extends CredentialsExtractor {
    protected readonly logger: import("global-logger-factory").Logger<unknown>;
    private readonly verify;
    constructor();
    canHandle({ headers }: HttpRequest): Promise<void>;
    handle(request: HttpRequest): Promise<Credentials>;
}
